Summary:        Convert HTML documents into PDF or PS format
Name:           htmldoc
Version:        1.8.29
Release:        %mkrel 1
License:        GPLv2
Group:          File tools
URL:            https://www.msweet.org/projects.php?Z1
Source0:        http://www.msweet.org/files/project1/%{name}-%{version}-source.tar.bz2
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  zlib-devel
BuildRequires:  fltk-devel
BuildRequires:  libxext-devel
Requires:       fltk

%description
HTMLDOC allow you to convert Html documents into PDF or PS format.
Links and somes specific things of PDF format can be used.

%package        nogui
Summary:        Convert HTML documents into PDF or PS format
Group:          File tools

%description    nogui
This package contains the non-GUI version of %{name}.

%prep

%setup -q
%autopatch -p1

%build
# first build the non gui version
%configure2_5x \
    --disable-rpath \
    --disable-localpng \
    --disable-localjpeg \
    --disable-localzlib \
    --without-gui

%make
mv htmldoc/htmldoc htmldoc-nogui
make clean

%configure2_5x \
    --disable-rpath \
    --disable-localpng \
    --disable-localjpeg \
    --disable-localzlib \
    --with-gui \
    --with-openssl-libs \
    --with-openssl-includes

%make

%install
%makeinstall

install -d %{buildroot}%{_bindir}
install -m0755 htmldoc-nogui %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop <<EOF
[Desktop Entry]
Name=HTMLDoc
Comment=Convert HTML files to PDF or PostScript
Exec=%{_bindir}/%{name}
Icon=publishing_section
Terminal=false
Type=Application
StartupNotify=true
MimeType=text/html;
Categories=FileTools;Utility;
EOF

%files
%doc CHANGES.txt README.txt COPYING.txt
%doc doc/help.html doc/htmldoc.pdf
%{_bindir}/htmldoc
%{_mandir}/man1/*
%{_datadir}/%{name}
%{_datadir}/applications/mageia-%{name}.desktop

%files nogui
%doc CHANGES.txt README.txt COPYING.txt
%{_bindir}/htmldoc-nogui


%changelog
* Sat Apr 16 2016 shlomif <shlomif> 1.8.29-1.mga6
+ Revision: 1002941
- New version 1.8.29

* Wed Mar 02 2016 umeabot <umeabot> 1.8.27-21.mga6
+ Revision: 983472
- Rebuild for openssl

* Thu Feb 11 2016 umeabot <umeabot> 1.8.27-20.mga6
+ Revision: 954333
- Mageia 6 Mass Rebuild

* Mon Oct 19 2015 daviddavid <daviddavid> 1.8.27-19.mga6
+ Revision: 892639
- add more docs to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 1.8.27-18.mga6
+ Revision: 748551
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.27-17.mga5
+ Revision: 680185
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.8.27-16.mga4
+ Revision: 526144
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 1.8.27-15.mga4
+ Revision: 435966
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 1.8.27-14.mga3
+ Revision: 353305
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 13 2011 fwang <fwang> 1.8.27-13.mga2
+ Revision: 142816
- build with libpng 1.5

* Mon Jul 11 2011 fwang <fwang> 1.8.27-12.mga2
+ Revision: 122109
- rebuild for new fltk

* Wed Jan 12 2011 dmorgan <dmorgan> 1.8.27-11.mga1
+ Revision: 7258
- add libxext-devel as BuildRequires
- imported package htmldoc

